**********************************************************
      SUBROUTINE GUKINE
**********************************************************
*
*     Generates kinematics of primary tracks
*
*     Data card Kine : Itype  Ekine
*
      IMPLICIT NONE
*      
      INTEGER NVERT, NT, IKINE
      REAL VERTEX(3),PLAB(3)
#include"meguse.inc"
*
* Reset parameters at the beginning of the event
      QSOMMA = 0
*
* Creates the first vertex
      CALL GRNDM(VERTEX,3)
      VERTEX(1) = 12.4*VERTEX(1)-6.2
      VERTEX(2) = 12.4*VERTEX(2)-6.2
      VERTEX(3) = 80.
*
* Tells GEANT to create the vertex
      CALL GSVERT(VERTEX,0,0,0,0,NVERT)
* 
* This is a photon
      IKINE = 1
* 
* Attaches the photon to the first vertex
      PLAB(1) = 0 
      PLAB(2) = 0
      PLAB(3) = -0.0528
      CALL GSKINE(PLAB,IKINE,NVERT,0,0,NT)
*
* *** Print kinematics
 20   CALL GPKINE(0)

      RETURN
      END
